export function getModelValue(model, column) {
    if (typeof model !== 'object') {
        return null;
    }
    if (!model.hasOwnProperty(column)) {
        return null;
    }
    let value = model[column];
    if (typeof value === 'object' && value.hasOwnProperty('value')) {
        return value['value']
    }
    return value;
}


export function getModelLabel(model, column) {
    if (typeof model !== 'object') {
        return null;
    }
    if (!model.hasOwnProperty(column)) {
        return null;
    }
    let value = model[column];
    if (typeof value === 'object' && value.hasOwnProperty('label')) {
        return value['label']
    }
    return value;
}

export function modelValueOf(model) {
    if (typeof model !== 'object') {
        return {};
    }
    let result = {}
    for (let i in model) {
        let row = model[i];
        if (typeof row === 'object' && row.hasOwnProperty('value')) {
            result[i] = row['value']
        } else {
            result[i] = row
        }
    }
    return result;
}

export function modelLabelOf(model) {
    if (typeof model !== 'object') {
        return {};
    }
    let result = {}
    for (let i in model) {
        let row = model[i];
        if (typeof row === 'object' && row.hasOwnProperty('label')) {
            result[i] = row['label']
        } else {
            result[i] = row
        }
    }
    return result;
}