import ElementPlus from 'element-plus'
import piniaPersistState from 'pinia-plugin-persistedstate'
import 'normalize.css'
import '@/assets/scss/element.scss'
import '@/assets/scss/common.scss'
import '@/assets/scss/style.scss'
import permission from '@/directive/permission'


import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'

const app = createApp(App)

app.use(createPinia().use(piniaPersistState))
app.use(router)
app.use(ElementPlus)
app.use(permission)

app.mount('#app')
