import { defineStore } from 'pinia'

const useSystemStore = defineStore('system', {
    state: () => {
        return {
            loading: false,
            collapse: false,
            sidebarWidth: 200,
            flowSidebarVisible: false,
            lang: 'zh-CN',
            logoUrl: '//s3.tebi.io/tenos/images/logo/jc.png',
            copyright: '2005-2023 JUSTCALL 版权 © 2023 集时股份呼叫中心开发团队',
            productName: '管理系统',
            variables: {},
        }
    },
    getters: {
    },
    actions: {
        activeLoading() {
            this.loading = true
        },
        inactiveLoading() {
            this.loading = false
        },
        setLanguage(lang) {
            this.lang = lang
        },
        toggleFlowSidebarVisible() {
            this.flowSidebarVisible = !this.flowSidebarVisible;
            if (this.flowSidebarVisible) {
                this.collapse = false;
            } else {
                this.sidebarWidth = 200;
            }
        },
        closeFlowSidebar() {
            if (this.flowSidebarVisible) {
                this.toggleFlowSidebarVisible();
            }
        },
        toggleCollapse() {
            this.collapse = !this.collapse;
        },
        setAttributeValue(attr, value) {
            switch (attr) {
                case 'name':
                case 'productName':
                    this.productName = value;
                    break
                case 'logo':
                    this.logoUrl = value;
                    break;
                case 'copyright':
                    this.copyright = value;
                    break;
                default:
                    this.variables[attr] = value
            }
        }
    },
    persist: {
        key: 'G_PTST4',
        paths: ['lang', 'collapse', 'sidebarWidth']
    },
})

export default useSystemStore